<?php

namespace Infrastructure\Services\Utilities\Categories;

use Infrastructure\Services\Utilities\GeneralFilters\HomeStatusFilter;
use Infrastructure\Services\Utilities\GeneralFilters\NameFilter;
use Infrastructure\Services\Utilities\Categories\Filters\TypeFilter;
use Infrastructure\Services\Utilities\GeneralFilters\StatusFilter;
use Infrastructure\Services\Utilities\Utility;

class CategoriesUtility extends Utility
{
    protected function filters(): array
    {
        return [
            NameFilter::class,
            TypeFilter::class,
            StatusFilter::class,
            HomeStatusFilter::class,
        ];
    }

    protected function sorts(): array
    {
        return [
            'id',
        ];
    }
}
